#include<iostream>
using namespace std;
const int maxn=100009;
long long n,ans;
pair<int,int> a[maxn];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    for(int i=0;i<n;i++) cin>>a[i].first>>a[i].second;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            int x1=a[i].first,y1=a[i].second,x2=a[j].first,y2=a[j].second;
            int a=abs(x1-x2),b=abs(y1-y2);
            ans+=a*a+b*b;
        }
    }
    cout<<ans<<"\n";
    return 0;
}
